=== debian/changelog ===
sp800-90b-entropy-assessment (1.1.5-4build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:03:38 +1100

sp800-90b-entropy-assessment (1.1.5-4build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 21:24:10 +0000

sp800-90b-entropy-assessment (1.1.5-4) unstable; urgency=medium

  * debian/patches/0003-top-makefile.patch: Fix for cross build.

 -- NIIBE Yutaka <gniibe@fsij.org>  Wed, 19 Apr 2023 13:39:58 +0900

sp800-90b-entropy-assessment (1.1.5-3) unstable; urgency=medium

  * debian/patches/0003-top-makefile.patch: Fix for hardening.

 -- NIIBE Yutaka <gniibe@fsij.org>  Tue, 18 Apr 2023 14:48:04 +0900

sp800-90b-entropy-assessment (1.1.5-2) unstable; urgency=medium

  * debian/patches/0004-randomrange64-32bit.patch: New.

 -- NIIBE Yutaka <gniibe@fsij.org>  Wed, 12 Apr 2023 12:10:59 +0900

sp800-90b-entropy-assessment (1.1.5-1) unstable; urgency=medium

  * Initial release. (Closes: #1032611).

 -- NIIBE Yutaka <gniibe@fsij.org>  Fri, 07 Apr 2023 14:47:01 +0900
