=== debian/control ===
Source: sp800-90b-entropy-assessment
Section: science
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: NIIBE Yutaka <gniibe@fsij.org>
Rules-Requires-Root: no
Build-Depends: debhelper (>= 13~), debhelper-compat (= 13), libdebhelper-perl,
 libdivsufsort-dev, libbz2-dev, libjsoncpp-dev, libgmp-dev,
 libssl-dev, libmpfr-dev
Standards-Version: 4.6.2
Homepage: https://csrc.nist.gov/Topics/Security-and-Privacy/cryptography/random-number-generation
Vcs-Browser: https://salsa.debian.org/debian/sp800-90b-entropy-assessment
Vcs-Git: https://salsa.debian.org/debian/sp800-90b-entropy-assessment.git

Package: sp800-90b-entropy-assessment
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Estimating the quality of a source of entropy
 Cryptographic random bit generators (RBGs), also known as random
 number generators (RNGs), require a noise source that produces
 digital outputs with some level of unpredictability, expressed as
 min-entropy.  SP 800-90B provides a standardized means of estimating
 the quality of a source of entropy.
