=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
# Makefile in the package use "x86" as the machine architecture name
ifeq ($(DEB_HOST_ARCH),amd64)
  ARCH=x86
endif
export ARCH

DESTDIR=debian/sp800-90b-entropy-assessment

%:
	dh $@ --with single-binary

override_dh_auto_test:
	cd cpp/selftest && ./selftest

override_dh_auto_install:
	install -d $(DESTDIR)/usr/bin
	install cpp/ea_iid $(DESTDIR)/usr/bin
	install cpp/ea_non_iid $(DESTDIR)/usr/bin
	install cpp/ea_restart $(DESTDIR)/usr/bin
	install cpp/ea_conditioning $(DESTDIR)/usr/bin
	install cpp/ea_transpose $(DESTDIR)/usr/bin
