=== debian/changelog ===
sp800-90b-entropy-assessment (1.1.8-3) unstable; urgency=medium

  * debian/patches/0006-test-epsilon.patch: Update.

 -- NIIBE Yutaka <gniibe@fsij.org>  Fri, 06 Dec 2024 09:29:27 +0900

sp800-90b-entropy-assessment (1.1.8-2) unstable; urgency=medium

  * debian/README.Debian: New.
  * debian/patches/0006-test-epsilon.patch: New.
  * debian/rules (override_dh_auto_test): Remove.
  * debian/patches/series: Update.

 -- NIIBE Yutaka <gniibe@fsij.org>  Thu, 05 Dec 2024 10:09:26 +0900

sp800-90b-entropy-assessment (1.1.8-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/0001-fix-openssl3.patch: Remove.
  * debian/patches/0003-top-makefile.patch: Refresh.
  * debian/patches/0004-randomrange64-32bit.patch: Refresh.
  * debian/patches/0005-no-large-files-32bit.patch: New.
  * debian/patches/series: Update.
  * debian/tests: New.

 -- NIIBE Yutaka <gniibe@fsij.org>  Tue, 03 Dec 2024 11:09:38 +0900
