=== debian/rules ===
--- 
+++ 
@@ -14,9 +14,6 @@
 %:
 	dh $@ --with single-binary
 
-override_dh_auto_test:
-	cd cpp/selftest && ./selftest
-
 override_dh_auto_install:
 	install -d $(DESTDIR)/usr/bin
 	install cpp/ea_iid $(DESTDIR)/usr/bin
