=== debian/tests/control ===
Tests: selftest
Depends: @, perl
Restrictions: allow-stderr
