=== debian/watch ===
# watch control file for uscan.
# See uscan(1) for format.
version=4
opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/usnistgov/SP800-90B_EntropyAssessment/tags \
    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@
